python-glanceclient (1:4.5.0-4) unstable; urgency=medium

  * Blacklist .*test_shell\.ShellTestRequests.*. See bug filled upstream:
    https://bugs.launchpad.net/python-glanceclient/+bug/2074131 as this looks
    like an issue in requests-mock (Closes: #1076910).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2024 03:57:14 +0200

python-glanceclient (1:4.5.0-3) unstable; urgency=medium

  * Add Python3.12-do-not-use-ssl.wrap_socket.patch (Closes: #1073444).
  * Add Fix_bytes-related_test_failures_with_urllib-3.patch.
  * Add Tests-Fix-original_only-wrapper.patch.
  * Blacklist TestHTTPSVerifyCert\.test_v2_requests_valid_cert_verification.*.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Jun 2024 11:53:10 +0200

python-glanceclient (1:4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:14:30 +0200

python-glanceclient (1:4.5.0-1) experimental; urgency=medium

  * New upsteram release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 18:39:55 +0100

python-glanceclient (1:4.4.0-3) unstable; urgency=medium

  * Also apply unit test blacklist in autopkgtest (Closes: #1061441).

 -- Thomas Goirand <zigo@debian.org>  Sun, 04 Feb 2024 13:16:13 +0100

python-glanceclient (1:4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:46:01 +0200

python-glanceclient (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:30:09 +0200

python-glanceclient (1:4.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045198).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:14:46 +0200

python-glanceclient (1:4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:08:22 +0200

python-glanceclient (1:4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:02:07 +0100

python-glanceclient (1:4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:13:06 +0200

python-glanceclient (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 10:20:46 +0200

python-glanceclient (1:3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:28:54 +0100

python-glanceclient (1:3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add full autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 16:39:52 +0100

python-glanceclient (1:3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:29:53 +0200

python-glanceclient (1:3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 12:20:14 +0200

python-glanceclient (1:3.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:00:39 +0200

python-glanceclient (1:3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove build-depends version for openstack-pkg-tools.
  * Bump standards-version to 4.5.1.
  * Bump debhelper to 11.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 12:29:43 +0100

python-glanceclient (1:3.2.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Refresh skip-tests-2.patch.
  * Removed fix-has-expired-tests.patch (it was not in use).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 12:10:53 +0200

python-glanceclient (1:3.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:14:38 +0200

python-glanceclient (1:3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 10:35:16 +0200

python-glanceclient (1:3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:02:42 +0200

python-glanceclient (1:3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends after Buster is released.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 10:28:52 +0200

python-glanceclient (1:2.17.0-3) unstable; urgency=medium

  * Switched autopkgtest to Python 3 (Closes: #943224).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:13:51 +0200

python-glanceclient (1:2.17.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:17:38 +0200

python-glanceclient (1:2.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:35:21 +0200

python-glanceclient (1:2.16.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:57:25 +0200

python-glanceclient (1:2.16.0-2) experimental; urgency=medium

  * Fix postinst not installing alternatives.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 12:22:12 +0100

python-glanceclient (1:2.16.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 11:49:17 +0100

python-glanceclient (1:2.13.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2018 17:31:14 +0100

python-glanceclient (1:2.12.1-3) unstable; urgency=medium

  * Blacklist non-deterministic tests (Closes: #858257):
    - ShellCacheSchemaTest.test_cache_schemas_gets_when_forced
    - ShellCacheSchemaTest.test_cache_schemas_gets_when_not_exists

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Sep 2018 00:24:23 +0200

python-glanceclient (1:2.12.1-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fixes FTBFS (Closes: #900159).
  * Blacklist some SSL tests until LP bug #1790790 is solved:
    - TestHTTPSVerifyCert.test_v2_requests_valid_cert_no_key
    - TestHTTPSVerifyCert.test_v2_requests_cert_verification_no_compression
    - TestHTTPSVerifyCert.test_v1_requests_cert_verification
    - TestHTTPSVerifyCert.test_v1_requests_cert_verification_no_compression
    - TestHTTPSVerifyCert.test_v2_requests_cert_verification

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 09:23:50 +0200

python-glanceclient (1:2.12.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building the doc.
  * Standards-Version is now 4.2.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Aug 2018 23:12:32 +0200

python-glanceclient (1:2.9.1-2) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:02:50 +0100

python-glanceclient (1:2.9.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use github tag for watch file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 08:23:20 +0000

python-glanceclient (1:2.8.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #868600).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 16:48:58 +0000

python-glanceclient (1:2.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove now obsolete patches (fixed upstream).
  * Using pkgos-dh_auto_install.
  * Standards-Version: 4.1.1.
  * Run all tests.
  * Remove XS-Testsuite: in debian/control.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 11:25:51 +0200

python-glanceclient (1:2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:56:18 +0000

python-glanceclient (1:2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/install-missing-files.patch: Dropped. No longer needed.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2016 09:49:57 -0400

python-glanceclient (1:1.2.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/skip-tests-2.patch: Added to skip tests that are failing upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:31:58 +0000

python-glanceclient (1:1.2.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.
  * d/gbp.conf: Update gbp configuration for mitaka branch.

  [ Corey Bryant ]
  * d/rules: Run tests for all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 15:15:21 -0500

python-glanceclient (1:1.1.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.
  * Fixed doubled-defined python-mox3 b-d.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Oct 2015 00:01:23 +0000

python-glanceclient (1:1.1.0-3) unstable; urgency=medium

  * Added missing breaks+replaces to allow upgrades (Closes: #802097).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 07:41:17 +0000

python-glanceclient (1:1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:49:27 +0000

python-glanceclient (1:1.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-test-shell.patch: Dropped. Fixed in new upstream release.
  * d/p/fix-has-expired-tests.patch: Rebased.
  * d/p/skip-tests.patch: Added to skip tests that are failing upstream.

  [ Thomas Goirand ]
  * Do not run this test that fails in my Jessie jenkins:
    - v2.test_client_requests.ClientTestRequests.test_show_bad_image_schema

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 15:49:44 +0000

python-glanceclient (1:0.19.0-1) experimental; urgency=medium

  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/p/do-not-crash-on-homedir-creation.patch: Dropped; Fixed upstream.
    - d/p/fix-has-expired-tests.patch: Rebased.
    - d/p/fix-test-shell.patch: Added to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jun 2015 12:08:51 -0400

python-glanceclient (1:0.18.0-2) experimental; urgency=medium

  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jun 2015 09:26:13 +0000

python-glanceclient (1:0.18.0-1) experimental; urgency=medium

  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.
    - d/p/fix-has-expired-tests.patch: Added to work around upstream
      openssl issue.
  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Jun 2015 15:20:58 +0100

python-glanceclient (1:0.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python-oslo.utils (>= 1.0.0) as (build-)depends.
  * Removed disable-intersphinx.patch, refreshed urllib3 patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 16:23:26 +0800

python-glanceclient (1:0.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this new release.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Oct 2014 16:19:34 +0800

python-glanceclient (1:0.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before the freeze of Jessie.
  * Rebased disable-intersphinx.patch.
  * Added a patch to use urllib3 directly, not the vendorized version from
    requests.
  * Added python-oslosphinx as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 22:55:37 +0800

python-glanceclient (1:0.13.1-1) unstable; urgency=medium

  * New upstream release.
  * New (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jul 2014 18:38:59 +0800

python-glanceclient (1:0.12.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #750227)
  * New (build-)depends set for this release.
  * Added --testr-args='--subunit  ' when calling testr.
  * Now packaging upstream manpage and doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 21:59:30 +0800

python-glanceclient (1:0.10.0-2) unstable; urgency=low

  * (Build-)depends on python-warlock >= 1.0.1 and python-d2to1 >= 0.2.10
    (Closes: #724172).
  * Updated version of (build-)depends of keystoneclient to >= 1:0.2.0.
  * Fixed min versions of testtools and testrepository build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2013 18:55:26 +0800

python-glanceclient (1:0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Removed now applied upstream CVE-2013-4111 patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 13:18:30 +0800

python-glanceclient (1:0.9.0-2) unstable; urgency=high

  * Ran wrap-and-sort.
  * CVE-2013-4111: Fix missing SSL certificate check (Closes: #718282).
  * Cleans correctly so the package can be built twice.
  * Using testrepository instead of run_test.py for running tests.
  * Standards-Version: is now 3.9.4.
  * Explicitly using --buildsystem=python_distutils.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 13:55:25 +0800

python-glanceclient (1:0.9.0-1) unstable; urgency=low

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 09:39:00 +0000

python-glanceclient (1:0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Removes debian/patches/fix-ubuntu-tests.patch.
  * python-keystoneclient must be >= 1:0.1.2.
  * Added python-sphinx build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Feb 2013 03:17:57 +0800

python-glanceclient (1:0.6.0-1) experimental; urgency=low

  [ Mehdi Abaakouk ]
  * First debian release (Closes: #687505)

  [ Thomas Goirand ]
  * Added a Replaces: glance-common (<< 2012.2), since this package provides
  the glance userland command line.
  * Using unified include pkgos.make from openstack-pkg-tools in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Nov 2012 11:11:56 +0000

python-glanceclient (1:0.5.0.1.7402590-0ubuntu1) quantal; urgency=low

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 12:23:37 -0500

python-glanceclient (1:0.4.1-0ubuntu2) quantal; urgency=low

  * debian/patches/fix-ubuntu-tests.patch: Refreshed.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 22 Aug 2012 23:43:28 -0700

python-glanceclient (1:0.4.1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control, pydist-overrides: Add python-setuptools-git,
    python-warlock.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Add python-keystoneclient as a depends.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:24:18 -0500

python-glanceclient (1:0.1.1-0ubuntu1) quantal; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Fix test suite
  * debian/patches/fix-ubuntu-tests: Re-introduced to prevent downloading
    virtualenv deps.
  * debian/watch: Update with new location.

  [ Adam Gandleman ]
  * debian/control: wrap-and-sort, add python-setuptools to Depends.
  * debian/pydist-overrides: Override python-keystoneclient.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 11:31:31 -0400

python-glanceclient (2012.2~f2~20120621.59-0ubuntu1) quantal; urgency=low

  * New usptream version.
  * debian/docs: Include changelog and readme.rst
  * debian/watch: Fix url

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 10:41:03 -0400

python-glanceclient (2012.2~f1-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Use Architecture: all (LP: #1013860)
    - Update maintainer

 -- Michael Terry <mterry@ubuntu.com>  Thu, 21 Jun 2012 07:15:43 -0400

python-glanceclient (2012.2~f1-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 May 2012 08:34:09 -0400
